#!/bin/bash

PACKAGE=$1
VERSION=$2

distdir=$PACKAGE-$VERSION

mkdir -p $distdir

find ! -regex ".*/\.svn\(/.*\)?" ! -regex "^./cf.*" ! -name ./install-rockplug.sh ! -name "*~" ! -regex ".*$PACKAGE-$VERSION.*" | while read f; do
  if [ -d $f ]; then
    mkdir -p $distdir/$f
  else
    cp $f $distdir/$f
  fi
done

tar --use-compress-program=bzip2 --owner root --group root \
  -cvf $distdir.tar.bz2 $distdir;

rm -rf $distdir
